commit 3d2887395c821aaa35daa03b58eff2ca237684ae
Author: Rafael J. García Perdigón <root@RafaDebian.gobex.pri>
Date:   Tue Nov 20 09:22:07 2018 +0100

    Linex-arduino: Added package of arduino

diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/changelog b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/changelog
new file mode 100644
index 0000000..e795018
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/changelog
@@ -0,0 +1,5 @@
+linex-arduino (1.0) linex; urgency=low
+
+  * Initial Release. Package for arduino www.arduino.cc/.
+
+ -- Rafael J. García Perdigón <rafael.garciap@juntaex.es>  Wed, 14 Nov 2018 12:06:16 +0100
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/compat b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/control b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/control
new file mode 100644
index 0000000..5887508
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/control
@@ -0,0 +1,13 @@
+Source: linex-arduino
+Section: x11
+Priority: optional
+Maintainer: Rafael Jesús García Perdigón <rafael.garciap@juntaex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-arduino
+Architecture: amd64
+Depends: default-jre, xdg-utils
+Breaks: modemmanager
+Description: Instalación y configuración de Arduino en Linex.
+	Instalación y configuración de Arduino en Linex.
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/install b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/install
new file mode 100644
index 0000000..b1c8526
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/install
@@ -0,0 +1,2 @@
+opt
+etc
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/postinst b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/postinst
new file mode 100755
index 0000000..2463759
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/postinst
@@ -0,0 +1,70 @@
+#!/bin/bash
+set -e
+RESOURCE_NAME=arduino-arduinoide
+SCRIPT_PATH="/opt/arduino-1.8.7"
+cd /opt && tar -zxvf arduino.tar.gz
+ # Install the icon files using name and resolutions
+  xdg-icon-resource install --context apps --size 16 "${SCRIPT_PATH}/lib/icons/16x16/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 24 "${SCRIPT_PATH}/lib/icons/24x24/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 32 "${SCRIPT_PATH}/lib/icons/32x32/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 48 "${SCRIPT_PATH}/lib/icons/48x48/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 64 "${SCRIPT_PATH}/lib/icons/64x64/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 72 "${SCRIPT_PATH}/lib/icons/72x72/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 96 "${SCRIPT_PATH}/lib/icons/96x96/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 128 "${SCRIPT_PATH}/lib/icons/128x128/apps/arduino.png" $RESOURCE_NAME
+  xdg-icon-resource install --context apps --size 256 "${SCRIPT_PATH}/lib/icons/256x256/apps/arduino.png" $RESOURCE_NAME
+  
+ 
+ # Install the created *.desktop file
+  xdg-desktop-menu install "${SCRIPT_PATH}/lib/${RESOURCE_NAME}.desktop"
+  
+ # Install Arduino mime type
+  xdg-mime install "${SCRIPT_PATH}/lib/${RESOURCE_NAME}.xml"
+  
+ # Install icons for mime type
+  xdg-icon-resource install --context mimetypes --size 16 "${SCRIPT_PATH}/lib/icons/16x16/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 24 "${SCRIPT_PATH}/lib/icons/24x24/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 32 "${SCRIPT_PATH}/lib/icons/32x32/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 48 "${SCRIPT_PATH}/lib/icons/48x48/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 64 "${SCRIPT_PATH}/lib/icons/64x64/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 72 "${SCRIPT_PATH}/lib/icons/72x72/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 96 "${SCRIPT_PATH}/lib/icons/96x96/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 128 "${SCRIPT_PATH}/lib/icons/128x128/apps/arduino.png" text-x-arduino
+  xdg-icon-resource install --context mimetypes --size 256 "${SCRIPT_PATH}/lib/icons/256x256/apps/arduino.png" text-x-arduino  
+  
+ # Make Arduino IDE the default application for *.ino
+  xdg-mime default ${RESOURCE_NAME}.desktop text/x-arduino  
+ 
+
+ update-desktop-database "/usr/share/applications"
+ update-mime-database "/usr/share/mime"
+
+# Add all users to groups tty, dialout, uucp, plugdev: 
+
+pathGroup="/etc/security/"
+
+group=`cat $pathGroup/group.conf|grep "*;*;*;Al0000-2400"|cut -d ";" -f 5`
+
+newGroup="tty dialout uucp plugdev"
+
+for i in $newGroup;do
+  (echo $group|grep -w $i>/dev/null)|| group=$group",$i" 
+done
+
+newLine=`cat /etc/security/group.conf|grep "*;*;*;Al0000-2400"|cut -d ";" -f 1-4`";"$group
+
+
+sed -i "s/\*;\*;\*;Al0000-2400.*/$newLine/g" $pathGroup/group.conf
+
+
+
+
+# Restart udev to apply new rules:
+ invoke-rc.d udev restart
+ udevadm control --reload-rules
+ udevadm trigger
+
+
+
+exit 0
+
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/postrm b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/postrm
new file mode 100755
index 0000000..c2578d2
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/postrm
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+# Restart udev to apply new rules:
+ invoke-rc.d udev restart
+ udevadm control --reload-rules
+ udevadm trigger
+
+
+
+exit 0
+
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/prerm b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/prerm
new file mode 100755
index 0000000..84635c8
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/prerm
@@ -0,0 +1,44 @@
+#!/bin/bash
+set -e
+RESOURCE_NAME=arduino-arduinoide
+SCRIPT_PATH="/opt/arduino-1.8.7"
+
+
+# Remove *.desktop file
+  xdg-desktop-menu uninstall ${RESOURCE_NAME}.desktop
+
+# Remove icon from desktop
+  xdg-desktop-icon uninstall ${RESOURCE_NAME}.desktop
+
+# Remove icons
+  xdg-icon-resource uninstall --size 16 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 24 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 32 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 48 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 64 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 72 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 96 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 128 ${RESOURCE_NAME}
+  xdg-icon-resource uninstall --size 256 ${RESOURCE_NAME}
+
+ # Remove MIME type icons
+  xdg-icon-resource uninstall --size 16  text-x-arduino
+  xdg-icon-resource uninstall --size 24  text-x-arduino
+  xdg-icon-resource uninstall --size 32  text-x-arduino
+  xdg-icon-resource uninstall --size 48  text-x-arduino
+  xdg-icon-resource uninstall --size 64  text-x-arduino
+  xdg-icon-resource uninstall --size 72  text-x-arduino
+  xdg-icon-resource uninstall --size 96  text-x-arduino
+  xdg-icon-resource uninstall --size 128  text-x-arduino
+  xdg-icon-resource uninstall --size 256  text-x-arduino
+
+# Remove Arduino MIME type
+  xdg-mime uninstall "${SCRIPT_PATH}/lib/${RESOURCE_NAME}.xml"
+
+
+ update-desktop-database "/usr/share/applications"
+ update-mime-database "/usr/share/mime"
+
+rm -r $SCRIPT_PATH
+exit 0
+
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/debian/rules b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/40-dfuse.rules b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/40-dfuse.rules
new file mode 100644
index 0000000..f8ac31a
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/40-dfuse.rules
@@ -0,0 +1,3 @@
+# Makes STM32 DfuSe device writeable for the "plugdev" group
+
+ACTION=="add", SUBSYSTEM=="usb", ATTRS{idVendor}=="0483", ATTRS{idProduct}=="df11", MODE="664", GROUP="plugdev", TAG+="uaccess"
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/90-extraacl.rules b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/90-extraacl.rules
new file mode 100644
index 0000000..8738933
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/90-extraacl.rules
@@ -0,0 +1,2 @@
+"KERNEL="ttyUSB[0-9]*", TAG+="udev-acl", TAG+="uaccess"
+"KERNEL="ttyACM[0-9]*", TAG+="udev-acl", TAG+="uaccess"
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/98-openocd.rules b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/98-openocd.rules
new file mode 100644
index 0000000..3dce792
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/98-openocd.rules
@@ -0,0 +1,9 @@
+ACTION!="add|change", GOTO="openocd_rules_end"
+SUBSYSTEM!="usb|tty|hidraw", GOTO="openocd_rules_end"
+
+#Please keep this list sorted by VID:PID
+
+#CMSIS-DAP compatible adapters
+ATTRS{product}=="*CMSIS-DAP*", MODE="664", GROUP="plugdev"
+
+LABEL="openocd_rules_end"
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/99-arduino-101.rules b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/99-arduino-101.rules
new file mode 100644
index 0000000..4b8588b
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/99-arduino-101.rules
@@ -0,0 +1,2 @@
+SUBSYSTEM=="tty", ENV{ID_REVISION}=="8087", ENV{ID_MODEL_ID}=="0ab6", MODE="0666", ENV{ID_MM_DEVICE_IGNORE}="1", ENV{ID_MM_CANDIDATE}="0"
+SUBSYSTEM=="usb", ATTR{idVendor}=="8087", ATTR{idProduct}=="0aba", MODE="0666", ENV{ID_MM_DEVICE_IGNORE}="1"
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/avrisp.rules b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/avrisp.rules
new file mode 100644
index 0000000..da51680
--- /dev/null
+++ b/ubuntu/bionic/amd64/linex-arduino-1.0/etc/udev/rules.d/avrisp.rules
@@ -0,0 +1,9 @@
+SUBSYSTEM!="usb_device", ACTION!="add", GOTO="avrisp_end"
+# Atmel Corp. JTAG ICE mkII
+ATTR{idVendor}=="03eb", ATTRS{idProduct}=="2103", MODE="660", GROUP="dialout"
+# Atmel Corp. AVRISP mkII
+ATTR{idVendor}=="03eb", ATTRS{idProduct}=="2104", MODE="660", GROUP="dialout"
+# Atmel Corp. Dragon
+ATTR{idVendor}=="03eb", ATTRS{idProduct}=="2107", MODE="660", GROUP="dialout"
+
+LABEL="avrisp_end"
diff --git a/ubuntu/bionic/amd64/linex-arduino-1.0/opt/arduino.tar.gz b/ubuntu/bionic/amd64/linex-arduino-1.0/opt/arduino.tar.gz
new file mode 100644
index 0000000..ae6e2e4
Binary files /dev/null and b/ubuntu/bionic/amd64/linex-arduino-1.0/opt/arduino.tar.gz differ
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/.postinst.swp b/ubuntu/bionic/amd64/siatic-3.4/debian/.postinst.swp
new file mode 100644
index 0000000..7b200a7
Binary files /dev/null and b/ubuntu/bionic/amd64/siatic-3.4/debian/.postinst.swp differ
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/changelog b/ubuntu/bionic/amd64/siatic-3.4/debian/changelog
new file mode 100644
index 0000000..c9a0019
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/changelog
@@ -0,0 +1,7 @@
+siatic (3.4) linex; urgency=medium
+
+  * Initial release. 
+  * Modified poweroff.sh to let shutdown projector on poweroff computer.
+  * Added systemd service to shutdown projector on poweroff computer.
+
+ -- Rafael J. García Perdigón <rafael.garciap@juntaex.es>  Tue, 03 Jul 2018 14:41:15 +0200
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/compat b/ubuntu/bionic/amd64/siatic-3.4/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/conffiles b/ubuntu/bionic/amd64/siatic-3.4/debian/conffiles
new file mode 100755
index 0000000..203f4c3
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/conffiles
@@ -0,0 +1 @@
+/etc/SIATIC/siaticcontrol.ini
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/control b/ubuntu/bionic/amd64/siatic-3.4/debian/control
new file mode 100755
index 0000000..970c485
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/control
@@ -0,0 +1,11 @@
+Source: siatic
+Section: x11
+Priority: optional
+Maintainer:Soditec <info@soditec.es>, Rafael Jesús García Perdigón <rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: siatic
+Architecture: amd64
+Depends: gksu, libssh-4 (>=0.6.1) , libhidapi-hidraw0 (>=0.7.0) , qt5-default (>=5.2.1) , libqt5serialport5 (>=5.2.1) , libssl1.0.0 (>=1.0.1)
+Description: Sistema de control de Dispositivos para los componentes de la Pizarra Digital.
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/install b/ubuntu/bionic/amd64/siatic-3.4/debian/install
new file mode 100644
index 0000000..9f65c19
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/install
@@ -0,0 +1,3 @@
+etc
+lib
+usr
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/postinst b/ubuntu/bionic/amd64/siatic-3.4/debian/postinst
new file mode 100755
index 0000000..b992cfc
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/postinst
@@ -0,0 +1,92 @@
+#!/bin/sh
+  POWERON_GREETER=`grep "session-setup-script=/usr/lib/siatic/poweron.sh" /etc/lightdm/lightdm-gtk-greeter.conf`
+   if [ -z "$POWERON_GREETER" ]; then
+   	echo "session-setup-script=/usr/lib/siatic/poweron.sh">>/etc/lightdm/lightdm-gtk-greeter.conf
+   fi
+
+   POWEROFF_GREETER=`grep "display-stopped-script=/usr/lib/siatic/poweroff.sh" /etc/lightdm/lightdm-gtk-greeter.conf`
+   if [ -z "$POWERON_GREETER" ]; then
+   	echo "display-stopped-script=/usr/lib/siatic/poweroff.sh">>/etc/lightdm/lightdm-gtk-greeter.conf
+   fi
+
+   POWERON_XUBUNTU=`grep "session-setup-script=/usr/lib/siatic/poweron.sh" /etc/lightdm/lightdm.conf.d/10-xubuntu.conf`
+   if [ -z "$POWERON_XUBUNTU" ]; then
+   	echo "session-setup-script=/usr/lib/siatic/poweron.sh">>/etc/lightdm/lightdm.conf.d/10-xubuntu.conf
+   fi 
+
+   POWEROFF_XUBUNTU=`grep "display-stopped-script=/usr/lib/siatic/poweroff.sh" /etc/lightdm/lightdm.conf.d/10-xubuntu.conf`
+   if [ -z "$POWEROFF_XUBUNTU" ]; then
+   	echo "display-stopped-script=/usr/lib/siatic/poweroff.sh">>/etc/lightdm/lightdm.conf.d/10-xubuntu.conf
+   fi
+
+
+INICIO_CONF=`grep "[Seat:*]" /etc/lightdm/lightdm.conf`
+   if [ -z "$INICIO_CONF" ]; then
+   	echo "[Seat:*]">>/etc/lightdm/lightdm.conf
+   fi  
+ POWERON_CONF=`grep "session-setup-script=/usr/lib/siatic/poweron.sh" /etc/lightdm/lightdm.conf`
+   if [ -z "$POWERON_CONF" ]; then
+   	echo "session-setup-script=/usr/lib/siatic/poweron.sh">>/etc/lightdm/lightdm.conf
+   fi 
+
+   POWEROFF_CONF=`grep "display-stopped-script=/usr/lib/siatic/poweroff.sh" /etc/lightdm/lightdm.conf`
+   if [ -z "$POWEROFF_CONF" ]; then
+   	echo "display-stopped-script=/usr/lib/siatic/poweroff.sh">>/etc/lightdm/lightdm.conf
+   fi
+
+#   SIATICCONTROL_SUDOERS=`grep "/usr/lib/siatic/siaticcontrol.sh" /etc/sudoers`
+#   if [ -z "$SIATICCONTROL_SUDOERS" ]; then
+#   	echo "linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh">> /etc/sudoers
+#	echo "usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh">> /etc/sudoers
+#	echo "%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh">> /etc/sudoers
+#	echo "%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh">> /etc/sudoers
+#   fi
+
+case "$1" in
+  configure)
+  set -e
+ 
+#Se comentan las siguientes líneas porque no queremos que se machaque /etc/sudoers (SASI)
+   #cp /etc/sudoers /etc/sudoers_seguridad
+   #cp /usr/lib/siatic/sudoers_nuevo /etc/sudoers
+   #chmod 644 /etc/sudoers
+   #chown root:root /etc/sudoers 
+
+   if [ -f /etc/xdg/autostart/Siatic.desktop ]; then
+      rm /etc/xdg/autostart/Siatic.desktop
+   fi 
+   if [ -f /usr/share/applications/Siatic.desktop ]; then
+      rm  /usr/share/applications/Siatic.desktop
+   fi 
+   if [ -f /usr/bin/SIATIC_Control.sh ]; then
+      rm /usr/bin/SIATIC_Control.sh
+   fi 
+   if [ -f /usr/bin/SIATIC_Control ]; then
+      rm /usr/bin/SIATIC_Control
+   fi 
+   if [ -d /usr/lib/siatic ]; then
+      chown root:root /usr/lib/siatic -R
+   fi
+    udevadm control --reload-rules
+    udevadm trigger
+    update-rc.d siaticcontrol stop 20 0 1 6 . >/dev/null
+    echo "."
+
+  ;;
+
+  abort-upgrade|abort-remove|abort-deconfigure)
+  ;;
+
+  *)
+    echo "postinst called with unknown argument \`$1'" >&2
+    exit 1
+  ;;
+
+esac
+
+
+#Added by AdministracionSI:
+
+systemctl enable stopProjector.service
+
+exit 0
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/postrm b/ubuntu/bionic/amd64/siatic-3.4/debian/postrm
new file mode 100755
index 0000000..692acf7
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/postrm
@@ -0,0 +1,28 @@
+#!/bin/bash
+# postrm script para control siatic
+cd /etc/lightdm
+sed '/poweron.sh/d;/poweroff.sh/d' lightdm-gtk-greeter.conf>>light.limpio
+rm lightdm-gtk-greeter.conf
+mv light.limpio lightdm-gtk-greeter.conf
+sed '/poweron.sh/d;/poweroff.sh/d' lightdm.conf>>lightconf.limpio
+rm lightdm.conf
+mv lightconf.limpio lightdm.conf
+cd lightdm.conf.d
+sed '/poweron.sh/d;/poweroff.sh/d' 10-xubuntu.conf>>10-xubuntu.limpio
+rm 10-xubuntu.conf
+mv 10-xubuntu.limpio 10-xubuntu.conf
+update-rc.d siaticcontrol remove >/dev/null
+case "$1" in
+  purge)
+	
+	
+  ;;
+
+remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	
+  ;;
+
+esac
+exit 0
+
+
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/rules b/ubuntu/bionic/amd64/siatic-3.4/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/siatic.link b/ubuntu/bionic/amd64/siatic-3.4/debian/siatic.link
new file mode 100644
index 0000000..f78e3d8
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/siatic.link
@@ -0,0 +1 @@
+/lib/systemd/system/stopProjector.service /etc/systemd/system/stopProjector.service
diff --git a/ubuntu/bionic/amd64/siatic-3.4/debian/source/format b/ubuntu/bionic/amd64/siatic-3.4/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/ubuntu/bionic/amd64/siatic-3.4/etc/SIATIC/siaticcontrol.ini b/ubuntu/bionic/amd64/siatic-3.4/etc/SIATIC/siaticcontrol.ini
new file mode 100755
index 0000000..59c8fbd
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/etc/SIATIC/siaticcontrol.ini
@@ -0,0 +1,10 @@
+wifiFin=0
+sonidoFin=0
+proyectorFin=0
+wifiInicio=2
+sonidoInicio=2
+proyectorInicio=2
+puerto=/dev/ttyS0
+ipRouter=192.168.0.1
+clave=
+actualizarClaveWifi=1
diff --git a/ubuntu/bionic/amd64/siatic-3.4/etc/init.d/siaticcontrol b/ubuntu/bionic/amd64/siatic-3.4/etc/init.d/siaticcontrol
new file mode 100755
index 0000000..22314b9
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/etc/init.d/siaticcontrol
@@ -0,0 +1,32 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:         siaticcontrol
+# Required-Start:   dbus    
+# Required-Stop:
+# Default-Start:     
+# Default-Stop:      0 1 6
+# Short-Description: apagado SIATIC Control
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+case "$1" in
+  stop)
+	echo -n "Ejecutando el script de apagado de SIATIC Control..."
+        /usr/lib/siatic/poweroff.sh &
+	
+	echo "."
+	;;
+  restart)
+
+	echo -n "Ejecutando el script de apagado de SIATIC Control..."
+	/usr/lib/siatic/poweroff.sh &
+        
+	echo "."
+	;;
+  *)
+	echo "Debes usar: siaticcontrol {stop|restart}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
diff --git a/ubuntu/bionic/amd64/siatic-3.4/etc/sudoers.d/siatic b/ubuntu/bionic/amd64/siatic-3.4/etc/sudoers.d/siatic
new file mode 100755
index 0000000..c8863df
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/etc/sudoers.d/siatic
@@ -0,0 +1,23 @@
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
diff --git a/ubuntu/bionic/amd64/siatic-3.4/etc/xdg/autostart/SIATIC_Control.desktop b/ubuntu/bionic/amd64/siatic-3.4/etc/xdg/autostart/SIATIC_Control.desktop
new file mode 100755
index 0000000..41e5a43
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/etc/xdg/autostart/SIATIC_Control.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=3.3-7
+Type=Application
+Name=Siatic
+Comment=
+Exec=/usr/bin/siaticcontrol
+Icon=/usr/share/pixmaps/siatic.png
+Path=
+Terminal=false
+StartupNotify=false
+Name[es]=SIATIC_Control
diff --git a/ubuntu/bionic/amd64/siatic-3.4/lib/systemd/system/stopProjector.service b/ubuntu/bionic/amd64/siatic-3.4/lib/systemd/system/stopProjector.service
new file mode 100644
index 0000000..8b8d9af
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/lib/systemd/system/stopProjector.service
@@ -0,0 +1,12 @@
+[Unit]
+Description=Stop Projector on poweroff.
+Conflicts=reboot.target
+Before=shutdown.target halt.target
+
+[Service]
+Type=oneshot
+RemainAfterExit=true
+ExecStart=/bin/bash /usr/lib/siatic/poweroff.sh
+
+[Install]
+WantedBy=multi-user.target
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/bin/siaticcontrol b/ubuntu/bionic/amd64/siatic-3.4/usr/bin/siaticcontrol
new file mode 100755
index 0000000..f480452
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/usr/bin/siaticcontrol
@@ -0,0 +1,20 @@
+#!/bin/sh
+DIRECTORIO_PERSONAL=`echo $HOME`
+ESCRITORIO="$DIRECTORIO_PERSONAL/Escritorio"
+LANZADOR_ESCRITORIO="$ESCRITORIO/SIATIC_Control.desktop"
+
+DESKTOP="$DIRECTORIO_PERSONAL/Desktop"
+LANZADOR_DESKTOP="$DESKTOP/SIATIC_Control.desktop"
+
+LANZADOR="/etc/xdg/autostart/SIATIC_Control.desktop"
+
+if [ -f $LANZADOR  ]; then
+   if [ -d $ESCRITORIO ] && [ ! -f $LANZADOR_ESCRITORIO ]; then
+        cp -f $LANZADOR $LANZADOR_ESCRITORIO
+   fi
+
+   if [ -d $DESKTOP ] && [ ! -f $LANZADOR_DESKTOP ]; then
+        cp -f $LANZADOR $LANZADOR_DESKTOP
+   fi
+fi
+gksu /usr/lib/siatic/siaticcontrol.sh
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/SIATIC_Control b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/SIATIC_Control
new file mode 100755
index 0000000..f3b2c5d
Binary files /dev/null and b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/SIATIC_Control differ
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/Siatic_Nod b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/Siatic_Nod
new file mode 100755
index 0000000..a742de6
Binary files /dev/null and b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/Siatic_Nod differ
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/poweroff.sh b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/poweroff.sh
new file mode 100755
index 0000000..9dc6825
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/poweroff.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+/usr/bin/killall SIATIC_Control  > /dev/null 2>&1
+/usr/lib/siatic/Siatic_Nod 0
+
+#Added by AdministracionSI to let poweroff projector on shutdown.
+sleep 3
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/poweron.sh b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/poweron.sh
new file mode 100755
index 0000000..be9a4a5
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/poweron.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+cd /usr/lib/siatic
+./Siatic_Nod 1
+
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/siaticcontrol.sh b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/siaticcontrol.sh
new file mode 100755
index 0000000..2a8a1a4
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/siaticcontrol.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+killall -9 SIATIC_Control >/dev/null 2>&1
+sleep 1
+/usr/lib/siatic/SIATIC_Control
+
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/sudoers_nuevo b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/sudoers_nuevo
new file mode 100755
index 0000000..e4ba444
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/usr/lib/siatic/sudoers_nuevo
@@ -0,0 +1,58 @@
+#
+# This file MUST be edited with the 'visudo' command as root.
+#
+# Please consider adding local content in /etc/sudoers.d/ instead of
+# directly modifying this file.
+#
+# See the man page for details on how to write a sudoers file.
+#
+Defaults	env_reset
+Defaults	mail_badpass
+Defaults	secure_path="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
+
+# Host alias specification
+
+# User alias specification
+
+# Cmnd alias specification
+
+# User privilege specification
+root	ALL=(ALL:ALL) ALL
+
+# Members of the admin group may gain root privileges
+%admin ALL=(ALL) ALL
+
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+linex ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+
+
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+usuario ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+# Allow members of group sudo to execute any command
+%sudo	ALL=(ALL:ALL) ALL
+
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+%sudo ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+
+
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/siaticcontrol.sh
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/SIATIC_Control
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/Siatic_Nod
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweron.sh
+%teachers ALL = (ALL) NOPASSWD: /usr/lib/siatic/poweroff.sh
+
+# See sudoers(5) for more information on "#include" directives:
+
+#includedir /etc/sudoers.d
+
+
+
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/share/applications/SIATIC_Control.desktop b/ubuntu/bionic/amd64/siatic-3.4/usr/share/applications/SIATIC_Control.desktop
new file mode 100755
index 0000000..41e5a43
--- /dev/null
+++ b/ubuntu/bionic/amd64/siatic-3.4/usr/share/applications/SIATIC_Control.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=3.3-7
+Type=Application
+Name=Siatic
+Comment=
+Exec=/usr/bin/siaticcontrol
+Icon=/usr/share/pixmaps/siatic.png
+Path=
+Terminal=false
+StartupNotify=false
+Name[es]=SIATIC_Control
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/share/doc/siatic/README.odt b/ubuntu/bionic/amd64/siatic-3.4/usr/share/doc/siatic/README.odt
new file mode 100755
index 0000000..eb2215f
Binary files /dev/null and b/ubuntu/bionic/amd64/siatic-3.4/usr/share/doc/siatic/README.odt differ
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/share/doc/siatic/README.pdf b/ubuntu/bionic/amd64/siatic-3.4/usr/share/doc/siatic/README.pdf
new file mode 100755
index 0000000..08c657b
Binary files /dev/null and b/ubuntu/bionic/amd64/siatic-3.4/usr/share/doc/siatic/README.pdf differ
diff --git a/ubuntu/bionic/amd64/siatic-3.4/usr/share/pixmaps/siatic.png b/ubuntu/bionic/amd64/siatic-3.4/usr/share/pixmaps/siatic.png
new file mode 100755
index 0000000..7763ec8
Binary files /dev/null and b/ubuntu/bionic/amd64/siatic-3.4/usr/share/pixmaps/siatic.png differ
